Page MenuHomePhabricator

cron spam for slow queries on mwmaint /usr/local/bin/foreachwiki initSiteStats.php --update > /dev/null
Closed, DeclinedPublic

Description

Fri Feb 15 05:39:19 2019] [hphp] [35221:7f4ee00f83c0:0:000001] [] SlowTimer [11077ms] at runtime/ext_mysql: slow query: SELECT /* SiteStatsInit::articles www-data@mwmain... */  COUNT(DISTINCT page_id)  FROM `page`,`pagelinks`    WHERE page_namespace = '0' AND page_is_redirect = '0' AND (pl_from=page_id)  LIMIT 1 
[Fri Feb 15 05:40:00 2019] [hphp] [35481:7f9c0fd2b3c0:0:000001] [] SlowTimer [15508ms] at runtime/ext_mysql: slow query: SELECT /* SiteStatsInit::edits www-data@mwmain... */  COUNT(*)  FROM `revision`     LIMIT 1 
[Fri Feb 15 05:42:21 2019] [hphp] [35481:7f9c0fd2b3c0:0:000002] [] SlowTimer [139231ms] at runtime/ext_mysql: slow query: SELECT /* SiteStatsInit::articles www-data@mwmain... */  COUNT(DISTINCT page_id)  FROM `page`,`pagelinks`    WHERE page_namespace = '0' AND page_is_redirect = '0' AND (pl_from=page_id)  LIMIT 1 
[Fri Feb 15 05:43:06 2019] [hphp] [36266:7fa782ee43c0:0:000001] [] SlowTimer [17493ms] at runtime/ext_mysql: slow query: SELECT /* SiteStatsInit::articles www-data@mwmain... */  COUNT(DISTINCT page_id)  FROM `page`,`pagelinks`    WHERE page_namespace = '0' AND page_is_redirect = '0' AND (pl_from=page_id)  LIMIT 1 
[Fri Feb 15 05:43:42 2019] [hphp] [36457:7f61d3fd33c0:0:000001] [] SlowTimer [25193ms] at runtime/ext_mysql: slow query: SELECT /* SiteStatsInit::articles www-data@mwmain... */  COUNT(DISTINCT page_id)  FROM `page`,`pagelinks`    WHERE page_namespace = '0' AND page_is_redirect = '0' AND (pl_from=page_id)  LIMIT 1

This hhvm slowtimer is unnecesary, by definition queries ran from mwmaint from a cron will be slow.

Event Timeline

jcrespo created this task.Feb 15 2019, 1:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2019, 1:51 PM
colewhite triaged this task as Normal priority.Feb 15 2019, 7:33 PM
kchapman assigned this task to aaron.Jul 1 2019, 7:57 PM
kchapman moved this task from Inbox to Doing on the Performance-Team board.

Change 520172 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[operations/puppet@production] Raise HHVM mysql query time threshold to effectively not trigger

https://gerrit.wikimedia.org/r/520172

Joe added a comment.Jul 2 2019, 6:41 AM

I think we can just let this be resolved by the (upcoming) transition to php7. See T195392 for details.

Krinkle closed this task as Declined.Jul 2 2019, 2:44 PM
Krinkle edited projects, added Performance-Team (Radar); removed Performance-Team.
Krinkle moved this task from Limbo to Watching on the Performance-Team (Radar) board.

Change 520172 abandoned by Aaron Schulz:
Raise HHVM mysql query time threshold to effectively not trigger

https://gerrit.wikimedia.org/r/520172